curl --request POST \
--url https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/sources/{sourceId}/adcp-connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"advertiserId": "<string>",
"accountId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/sources/{sourceId}/adcp-connection"
payload = {
"advertiserId": "<string>",
"accountId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({advertiserId: '<string>', accountId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/sources/{sourceId}/adcp-connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"connectionId": "<string>",
"connectionAccountId": "<string>",
"storefrontId": "<string>",
"sourceId": "<string>",
"agentId": "<string>",
"advertiserId": "<string>",
"externalAccountId": "<string>",
"providerType": "adcp",
"connectionKind": "THIRD_PARTY_AGENT"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Connect a registered AdCP source
Project an existing registered, discovered, and advertiser-mapped AdCP source account into the connection plane for tracked campaigns. This operation does not accept endpoint URLs or raw secrets.
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/sources/{sourceId}/adcp-connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"advertiserId": "<string>",
"accountId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/sources/{sourceId}/adcp-connection"
payload = {
"advertiserId": "<string>",
"accountId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({advertiserId: '<string>', accountId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/sources/{sourceId}/adcp-connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"connectionId": "<string>",
"connectionAccountId": "<string>",
"storefrontId": "<string>",
"sourceId": "<string>",
"agentId": "<string>",
"advertiserId": "<string>",
"externalAccountId": "<string>",
"providerType": "adcp",
"connectionKind": "THIRD_PARTY_AGENT"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Storefront ID
0 < x <= 9007199254740991Inventory source ID
1Body
Project a registered and advertiser-mapped AdCP storefront source into the connection plane for tracked campaigns.
Advertiser already mapped to the selected AdCP source account.
^[1-9]\d*$AdCP account identifier returned by list_available_accounts.
1Credential identifier returned by list_available_accounts. Required when more than one credential exposes the same account identifier.
^[1-9]\d*$Response
Connect a registered AdCP source
Connection/account identifiers for a registered AdCP storefront source ready for an explicit tracked-campaign subscription.
adcp THIRD_PARTY_AGENT